:root
{
  --color-primary: #52B788;
  --color-secondary: #B2EDB9;
}

body
{
  width: 250px;
  margin: 0;
  font-size: 1rem;
  color: #333;
  background-color: #F9F9F9;
}

header
{
  padding: 10px;
  text-align: center;
}

main
{
  padding: 10px;
}

.options-group
{
  border: 1px solid var(--color-primary);
  border-radius: 10px;
  background-color: var(--color-primary);
  overflow: hidden;
}

.options-group:not(:first-child)
{
  margin-top: 1em;
}

.options-group .label
{
  display: block;
  width: 100%;
  padding: 10px;
  border: none;
  text-align: inherit;
  font-size: inherit;
  font-weight: 600;
  color: #FFF;
  background: none;
}

.options-group ul
{
  margin: 0;
  padding: 0;
}

.options-group li
{
  --significance: 1;
  list-style-type: none;
}

.options-group li a
{
  display: block;
  padding: 10px;
  color: inherit;
  background-image: linear-gradient(
    135deg,
    var(--color-secondary),
    #FFF calc(25% * var(--significance))
  );
  text-decoration: none;
}

.options-group li a:hover
{
  background-image: linear-gradient(
    135deg,
    var(--color-secondary) 75%,
    #FFF
  );
}

.options-group li a::before
{
  display: inline-block;
  width: 1em;
  height: 1em;
  margin-right: 10px;
  border-radius: 0.5em;
  background-size: contain;
  background-color: var(--color-primary);
  content: "";
}

.options-group li a:hover::before
{
  background-color: #FFF;
}

.options-group li.dest-facebook a::before
{
  background-image: url(../images/platforms/facebook.svg);
}

.options-group li.dest-github a::before
{
  background-color: #FFF;
  background-image: url(../images/platforms/github.svg);
}

.options-group li.dest-gitlab a::before
{
  background-image: url(../images/platforms/gitlab.svg);
}

.options-group li.dest-gofundme a::before
{
  background-color: #FFF;
  background-image: url(../images/platforms/gofundme.ico);
}

.options-group li.dest-kickstarter a::before
{
  background-color: #FFF;
  background-image: url(../images/platforms/kickstarter.svg);
}

.options-group li.dest-linkedin a::before
{
  background-color: #FFF;
  background-image: url(../images/platforms/linkedin.svg);
}

.options-group li.dest-instagram a::before
{
  background-image: url(../images/platforms/instagram.svg);
}

.options-group li.dest-patreon a::before
{
  background-image: url(../images/platforms/patreon.png);
}

.options-group li.dest-teespring a::before
{
  background-color: #FFF;
  background-image: url(../images/platforms/teespring.ico);
}

.options-group li.dest-twitter a::before
{
  background-image: url(../images/platforms/twitter.svg);
}

.options-group li.dest-vk a::before
{
  background-image: url(../images/platforms/vk.svg);
}

.options-group li.dest-youtube a::before
{
  background-image: url(../images/platforms/youtube.svg);
}
